API ReferenceVICAL Signers
Create a VICAL signer
POST
/v1/ecosystems/certificates/vical-signersCreates a VICAL signer.
- Only available in implementations using unmanaged (external) DTS root CA certificates.
- A maximum of five VICAL signers can be created per tenant.
Roles
admindts-provider
Analytics Events
ECOSYSTEM_VICAL_SIGNER_CERTIFICATE_CREATE_STARTECOSYSTEM_VICAL_SIGNER_CERTIFICATE_CREATE_SUCCESSECOSYSTEM_VICAL_SIGNER_CERTIFICATE_CREATE_FAIL
Authorization
bearerAuth AuthorizationBearer <token>
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/ecosystems/certificates/vical-signers" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "782f1885-c7c2-4459-8426-b6d7c111b0b1", "csrPem": "-----BEGIN CERTIFICATE REQUEST-----\nMIIDXTCCAkWgAwIBAgIJAL5...\n-----END CERTIFICATE REQUEST-----", "caId": "b0aae560-10e7-4247-8e96-7cdd3578a1e2", "intermediateCaId": "b0aae560-10e7-4247-8e96-7cdd3578a1e2", "active": false}How would you rate this page?